> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lighthousefh.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1usersdetails



## OpenAPI

````yaml /openapi.json get /v1/users/details
openapi: 3.1.0
info:
  title: Lighthouse API
  description: Lighthouse funeral home management API
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.lighthousefh.com
    description: Production
security:
  - bearer_auth: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Cases
    description: Case management
  - name: Calls
    description: Call recordings and transcriptions
  - name: Clips
    description: Short audio clips and transcripts
  - name: Users
    description: User management
  - name: Organizations
    description: Organization management
  - name: Locations
    description: Location management
  - name: Case Data
    description: Custom case data values
  - name: Case Data Fields
    description: Custom case data field definitions
  - name: Generations
    description: User-sourced generation overrides
  - name: Generation Templates
    description: AI generation templates
  - name: Generation Feedback
    description: End-user feedback on generations
  - name: Generation Labels
    description: Generation quality labels
  - name: Generation Quality Test
    description: Generation quality testing
  - name: Generation Template Dependencies
    description: Template dependency management
  - name: Organization Template Status
    description: Organization-level template status
  - name: Score Instructions
    description: Score instructions for generation templates
  - name: Tasks
    description: Case tasks
  - name: Conversations
    description: Assistant chat conversations
  - name: User Preferences
    description: User preference settings
  - name: User Managers
    description: User-manager relationships
  - name: User Permissions
    description: User permission management
  - name: Roleplay Categories
    description: Roleplay category (skill) catalog
  - name: Roleplay Complications
    description: Roleplay complications catalog
  - name: Roleplay Personas
    description: Roleplay persona catalog
  - name: Roleplay Phases
    description: Roleplay phase catalog
  - name: Roleplay Runs
    description: Completed roleplay runs
  - name: Roleplay Scenarios
    description: Roleplay scenarios
  - name: Roleplay Voices
    description: Roleplay voice catalog
  - name: Scenario Score Templates
    description: Scenario scoring template attachments
paths:
  /v1/users/details:
    get:
      tags:
        - Users
      operationId: list_users_with_details
      responses:
        '200':
          description: List users with details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_Vec_UserWithDetails'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - bearer_auth: []
components:
  schemas:
    ApiResponse_Vec_UserWithDetails:
      type: object
      required:
        - status
        - timestamp
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - user
              - access_level
              - managers
            properties:
              access_level:
                $ref: '#/components/schemas/AccessLevel'
              management_chain:
                type: array
                items:
                  $ref: '#/components/schemas/User'
              managers:
                type: array
                items:
                  $ref: '#/components/schemas/ManagerWithRelationship'
              user:
                $ref: '#/components/schemas/User'
        message:
          type:
            - string
            - 'null'
        request_id:
          type:
            - string
            - 'null'
        status:
          type: string
        timestamp:
          type: string
          format: date-time
    ApiError:
      type: object
      required:
        - status
        - error
        - message
        - status_code
        - timestamp
      properties:
        error:
          type: string
        message:
          type: string
        request_id:
          type:
            - string
            - 'null'
        status:
          type: string
        status_code:
          type: integer
          format: int32
          minimum: 0
        timestamp:
          type: string
          format: date-time
    AccessLevel:
      type: string
      enum:
        - admin
        - member
        - link
        - none
    User:
      type: object
      required:
        - uuid
        - role
        - email
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          format: date-time
        email:
          type: string
        name:
          type:
            - string
            - 'null'
        role:
          $ref: '#/components/schemas/UserRole'
        updated_at:
          type: string
          format: date-time
        uuid:
          type: string
          format: uuid
    ManagerWithRelationship:
      type: object
      required:
        - user
        - relationship_uuid
      properties:
        relationship_uuid:
          type: string
          format: uuid
        user:
          $ref: '#/components/schemas/User'
    UserRole:
      type: string
      enum:
        - support
        - user
        - agent
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````